%define upstream_name    MooX-Role-CachedURL
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A role providing a locally cached copy of a remote file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Touch)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(PerlIO::gzip)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(autodie)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This role represents a remote file that you want to cache locally, and then
process. This is common functionality that I'm pulling out of my the
PAUSE::Users manpage, the PAUSE::Permissions manpage and the
PAUSE::Packages manpage modules.

PAUSE::Users provides a simple interface to the '00whois.xml' file that is
generated by PAUSE. It caches the file locally, then provides a mechanism
for iterating over all users in the file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1030722
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 972484
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 899926
- update to 0.07

* Mon Mar 02 2015 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 817307
- imported package perl-MooX-Role-CachedURL


* Mon Mar 02 2015 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
